#!/bin/bash
# rebuild the test suite for graph_sampler
# Written by Frederic Bois
# Copyright (c) 2014-2017 Frederic Bois.
# This code is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# See the GNU General Public License at <http://www.gnu.org/licenses/> 

cd tests

# set the colors
red='[0;31m';
grn='[0;32m';
std='[m';

../graph_sampler script_test_1.txt &> /dev/null
mv graph_samples.out graph_samples_1.ref &> /dev/null;
mv results_mcmc.bin  results_mcmc_1.ref  &> /dev/null;
mv edge_p.out        edge_p_1.ref        &> /dev/null;
mv best_graph.out    best_graph_1.ref    &> /dev/null;
mv degree_count.out  degree_count_1.ref  &> /dev/null;
mv motifs_count.out  motifs_count_1.ref  &> /dev/null;
echo "Test 1        $grn-REBUILT-$std"

../graph_sampler script_test_2.txt &> /dev/null
mv graph_samples.out graph_samples_2.ref &> /dev/null;
echo "Test 2        $grn-REBUILT-$std"

../graph_sampler script_test_3.txt &> /dev/null
mv graph_samples.out graph_samples_3.ref &> /dev/null;
echo "Test 3        $grn-REBUILT-$std"

../graph_sampler script_test_4.txt &> /dev/null
mv graph_samples.out graph_samples_4.ref &> /dev/null;
echo "Test 4        $grn-REBUILT-$std"

../graph_sampler script_test_5.txt &> /dev/null
mv graph_samples.out graph_samples_5.ref &> /dev/null;
echo "Test 5        $grn-REBUILT-$std"

../graph_sampler script_test_6.txt &> /dev/null
mv graph_samples.out graph_samples_6.ref &> /dev/null;
echo "Test 6        $grn-REBUILT-$std"

../graph_sampler script_test_7.txt &> /dev/null
mv graph_samples.out graph_samples_7.ref &> /dev/null;
echo "Test 7        $grn-REBUILT-$std"

../graph_sampler script_test_8.txt &> /dev/null
mv graph_samples.out graph_samples_8.ref &> /dev/null;
echo "Test 8        $grn-REBUILT-$std"

../graph_sampler script_test_9.txt &> /dev/null
mv graph_samples.out graph_samples_9.ref &> /dev/null;
echo "Test 9        $grn-REBUILT-$std"

../graph_sampler script_test_10.txt &> /dev/null
mv graph_samples.out graph_samples_10.ref &> /dev/null;
echo "Test 10       $grn-REBUILT-$std"

../graph_sampler script_test_11.txt &> /dev/null
mv graph_samples.out graph_samples_11.ref &> /dev/null;
echo "Test 11       $grn-REBUILT-$std"

../graph_sampler script_test_12.txt &> /dev/null
mv graph_samples.out graph_samples_12.ref &> /dev/null;
echo "Test 12       $grn-REBUILT-$std"

../graph_sampler script_test_13.txt &> /dev/null
mv graph_samples.out graph_samples_13.ref &> /dev/null;
echo "Test 13       $grn-REBUILT-$std"

../graph_sampler script_test_14.txt &> /dev/null
mv graph_samples.out graph_samples_14.ref &> /dev/null;
echo "Test 14       $grn-REBUILT-$std"

../graph_sampler script_test_15.txt &> /dev/null
mv graph_samples.out graph_samples_15.ref &> /dev/null;
echo "Test 15       $grn-REBUILT-$std"

../graph_sampler script_test_16.txt &> /dev/null
mv graph_samples.out graph_samples_16.ref &> /dev/null;
echo "Test 16       $grn-REBUILT-$std"

../graph_sampler script_test_BN_1.txt &> /dev/null
mv graph_samples.out graph_samples_BN_1.ref &> /dev/null;
echo "Test BN1      $grn-REBUILT-$std"

../graph_sampler script_test_BN_2.txt &> /dev/null
mv graph_samples.out graph_samples_BN_2.ref &> /dev/null;
echo "Test BN2      $grn-REBUILT-$std"

../graph_sampler script_test_BN_3.txt &> /dev/null
mv graph_samples.out graph_samples_BN_3.ref &> /dev/null;
echo "Test BN3      $grn-REBUILT-$std"

../graph_sampler script_test_BN_4.txt &> /dev/null
mv graph_samples.out graph_samples_BN_4.ref &> /dev/null;
echo "Test BN4      $grn-REBUILT-$std"

../graph_sampler script_test_BN_5.txt &> /dev/null
mv graph_samples.out graph_samples_BN_5.ref &> /dev/null;
echo "Test BN5      $grn-REBUILT-$std"

../graph_sampler script_test_BN_6.txt &> /dev/null
mv graph_samples.out graph_samples_BN_6.ref &> /dev/null;
echo "Test BN6      $grn-REBUILT-$std"

../graph_sampler script_test_BN_7.txt &> /dev/null
mv graph_samples.out graph_samples_BN_7.ref &> /dev/null;
echo "Test BN7      $grn-REBUILT-$std"

../graph_sampler script_test_DBN_1.txt &> /dev/null
mv graph_samples.out graph_samples_DBN_1.ref &> /dev/null;
echo "Test DBN1     $grn-REBUILT-$std"

../graph_sampler script_test_DBN_2.txt &> /dev/null
mv graph_samples.out graph_samples_DBN_2.ref &> /dev/null;
echo "Test DBN2     $grn-REBUILT-$std"

../graph_sampler script_test_DBN_3.txt &> /dev/null
mv graph_samples.out graph_samples_DBN_3.ref &> /dev/null;
echo "Test DBN3     $grn-REBUILT-$std"

../graph_sampler script_test_hyper_1.txt &> /dev/null
mv graph_samples.out graph_samples_hyper_1.ref &> /dev/null;
echo "Test HYPER1   $grn-REBUILT-$std"

../graph_sampler script_test_hyper_2.txt &> /dev/null
mv graph_samples.out graph_samples_hyper_2.ref &> /dev/null;
echo "Test HYPER2   $grn-REBUILT-$std"

../graph_sampler script_test_hyper_3.txt &> /dev/null
mv graph_samples.out graph_samples_hyper_3.ref &> /dev/null;
echo "Test HYPER3   $grn-REBUILT-$std"

../graph_sampler script_test_hyper_4.txt &> /dev/null
mv graph_samples.out graph_samples_hyper_4.ref &> /dev/null;
echo "Test HYPER4   $grn-REBUILT-$std"

../graph_sampler script_test_hyper_5.txt &> /dev/null
mv graph_samples.out graph_samples_hyper_5.ref &> /dev/null;
echo "Test HYPER5   $grn-REBUILT-$std"

../graph_sampler script_test_hyper_6.txt &> /dev/null
mv graph_samples.out graph_samples_hyper_6.ref &> /dev/null;
echo "Test HYPER6   $grn-REBUILT-$std"

../graph_sampler script_test_hyper_7.txt &> /dev/null
mv graph_samples.out graph_samples_hyper_7.ref &> /dev/null;
echo "Test HYPER7   $grn-REBUILT-$std"

# this is generating a mcmc.bin and an edge_p.out file
../graph_sampler script_test_convergence_xa.txt xa&> /dev/null
echo "Test files xa $grn-REBUILT-$std"

# this is generating a mcmc.bin and an edge_p.out file
../graph_sampler script_test_convergence_xb.txt xb&> /dev/null
echo "Test files xb $grn-REBUILT-$std"

# this is generating a mcmc.bin and an edge_p.out file
../graph_sampler script_test_convergence_xc.txt xc&> /dev/null
echo "Test files xc $grn-REBUILT-$std"

../graph_sampler script_test_convergence_1.txt &> /dev/null
mv convergence.out convergence_1.ref &> /dev/null;
echo "Test CONV1    $grn-REBUILT-$std"

../graph_sampler script_test_convergence_2.txt &> /dev/null
mv convergence.out convergence_2.ref &> /dev/null;
echo "Test CONV2    $grn-REBUILT-$std"

../graph_sampler script_test_convergence_3.txt &> /dev/null
mv convergence.out convergence_3.ref &> /dev/null;
echo "Test CONV3    $grn-REBUILT-$std"

rm [b-m]*.out r*.bin &> /dev/null

echo "Done."; echo

exit 0


   

